/*!
* © Evite You 2024 All Rights Reserved.
*/

#image-preview { display: none; flex-wrap: wrap; gap: 10px; }
.preview-image { width: 100px; height: 100px; object-fit: cover; }
#progress-bar-container { width: 100%; background-color: rgba(0, 0, 0, 0.3); margin-top: 30px; }
#progress-bar { width: 0; height: 1px; background-color: #000; text-align: center; color: #000; }

#myDIV {
  	display: none;
}

.float {
	position: fixed;
    bottom: 20px; /* Adjusts the distance from the bottom */
    right: 20px;
	z-index: 1000;
}

.up {
  text-transform: uppercase;
}

.line-break {
  display: inline;
}

.bold {
font-weight: bold;
}

.keyline {
  width: 100%;
  border-bottom: 1px solid rgba(151, 163, 142, 0.5); /* 0.5 opacity */
}

input[type="text"],
input[type="email"],
select, label, textarea {
	border-radius: 0px;
	border: none;
  	border-bottom: 1px solid;
	width: 100%;
	height: 40px;
	padding-left: 10px;
	padding-right: 10px;
	background-color: rgba(0,0,0,0);
	font-family: 'Cormorant Garamond', 'Helvetica Neue', sans-serif;
	font-size: 14px;
	letter-spacing: 1;
	-moz-box-sizing: border-box; 
	-webkit-box-sizing: border-box; 
	box-sizing: border-box;
}

.input {
	/* Arrow */
	appearance: none;
	background-image: url('../images/arrow.png');
	background-repeat: no-repeat;
	background-position: right 0.7rem top 50%;
	background-size: 0.65rem auto;
}

.popup {
    display: none; /* Hide by default */
    position: absolute; /* Position relative to the nearest positioned ancestor */
    bottom: -700px; /* Start below the viewable area */
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    transition: bottom 0.3s ease; /* Smooth transition */

	z-index: 1000;
}

.popup-content {
    padding: 20px;
}

.close {
    font-size: 30px;
    cursor: pointer;
}

.pointer {
  cursor: pointer;
}

.btn {
	Font-family: 'Cormorant Garamond', 'Helvetica Neue', sans-serif;
	border: 1px solid;
	padding: 4px 50px;
	text-align: center;
	text-decoration: none;
	letter-spacing: 1px;
	display: inline-block;
	font-size: 24px;
	cursor: pointer;
	margin:0 auto;
	background-color: transparent;
}

.gallery {
	display: flex;
	justify-content: center;
	flex-wrap: wrap; /* Allows gallery to wrap to new lines if necessary */
	max-width: 800px; /* Adjust max-width to suit your design */
	margin: 0 auto; /* Center horizontally */
	padding: 40px 20px 20px 20px;
	text-align: center;
}

.gallery img {
	max-width: 100%; /* Ensure images don't exceed their container width */
	height: auto; /* Maintain aspect ratio */
	margin-top: 25px; /* Add some spacing between images */
	margin-bottom: 5px; /* Add some spacing between images */
	border-color: white;
	border-style: solid;
	border-width: 0;
}

.container-edit {
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.centered-div {
	display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    margin: 0;
}

.form-container1 {
	display: flex;
	flex-wrap: wrap;
	gap: -1px;
}

.form-item {
	flex: 1 1 45%; /* This makes each item take up about 45% of the row */
	border-left: none;
}

.form-item input,
.form-item select {
	width: 100%;
}

.centered-div-2 {
	display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

.section-block{
	padding-top: 13%;
	padding-bottom: 13%;
}

.section-block-2 {
	padding-top: 25%;
	padding-bottom: 25%;
}

.container {
	position: relative;
}

.scontainer {
	display: flex;
	flex-direction: row; /* Side by side on larger screens */
}

.image-container, .text-container {
	display: flex;
    justify-content: center;  /* Center horizontally */
    align-items: center;      /* Center vertically */
	flex: 1; /* Takes up half the width */
    overflow: hidden; /* Prevents overflow of image */
	height: 900px; /* Set image height to 100% of the container */
}

.responsive-image {
	height: 100%; /* Set image height to 100% of the container */
    width: auto; /* Maintain aspect ratio */
}

.text-container {
	display: flex;
	flex-direction: column;  /* <--- I added this */
	align-items: center;
	text-align: center;
	justify-content: center; /* Center text horizontally */
	align-items: center; /* Center text vertically */
	background: rgba(0, 0, 0, 0.5); /* Optional: semi-transparent background */
	color: white; /* Adjust color as needed */
	padding:0;
}

.text {
	
	text-align: center;
	width: 900px;
}

.button-row {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 30px;
}

.footer {
	padding-top: 20px;
	padding-bottom: 20px;
	font-size: 14px;
	text-align: center;
}

.lined {
    text-align: center;
}

.mb-5 {
    margin-bottom: 5px;
}

.mb-10 {
    margin-bottom: 10px;
}

.mb-15 {
    margin-bottom: 15px;
}

.mb-20 {
    margin-bottom: 20px;
}

.mb-25 {
    margin-bottom: 25px;
}

.mb-30 {
    margin-bottom: 30px;
}

.top {
	z-index: 1;
	position: relative;
}

.container {
	position: relative;
}


/* Background Colours */
	
.pic-1 {
	background-image: url('../images/header.jpg'); 
	background-size: cover;
	background-repeat: no-repeat;
	background-attachment: scroll;
	background-position: center; 
}
	
.transbox-1 {
	background-color: rgba(255, 255, 255, 0.6);
	height: 100vh;
}
	
.pic-2 {
	background-image: url('../images/pic.jpg'); 
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: scroll;
	background-position: center;
}
	
.transbox-2 {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(106, 110, 98, 0);
}
	
.pic-3 {
	background-image: url('../images/rsvp.jpg'); 
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: scroll;
	background-position: center;
}
	
.transbox-3 {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(255, 255, 255, 0.6);
}

/* Background Colours End */

	
.thin {
	text-decoration-line: underline;
	text-decoration-style: solid;
	text-decoration-thickness: 1px;
	color: inherit;
}

.no-thin {
	color: inherit;
	text-decoration: none;
}
	
*{padding:0;margin:0;}


.preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #eeece6;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.loader {
    border: 2px solid #bdbcb8;
    border-top: 2px solid #000;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

.form-container {
  width: 600px;
  margin: 0 auto; /* Center the form horizontally */
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media only screen and (max-width: 768px){

body, html{
	line-height: 1.6;
}

.line-break {
   	display: block;  /* This forces a line break */
}

input[type="text"],
input[type="email"],
select, label, textarea {
	height: 35px;
	padding-left: 10px;
	padding-right: 10px;
}

.text {
	text-align: center;
	width: 100%;
	padding-left: 15px;
    padding-right: 15px;
}

.scontainer {
	flex-direction: column; /* Stack items vertically on mobile */
}

.scontainer-2 {
	flex-direction: column-reverse;
}

.section-block {
	padding-top: 40%;
	padding-bottom: 40%;
}

.section-block-2 {
	padding-top: 70%;
	padding-bottom: 70%;
}

.responsive-image {
	height: auto; /* Set image height to 100% of the container */
    width: 100%; /* Maintain aspect ratio */
}

.form-container {
    width: 100%; /* Full width on mobile devices */
}

.button, button {
    font-size: 1.4rem;
}
		
.toplogo {
	height: auto;
	max-width: 60%;
	display: inline-block;
	vertical-align: middle;
	border: none;
}

.toplogo1 {
	height: auto;
	max-width: 65%;
	display: inline-block;
	vertical-align: middle;
	border: none;
}

.centered-div {
    height: 90%;
}

.footer {
	font-size: 12px;
}

.btn {
	font-size: 16px;
}

.mb-mobile-5 {
    margin-bottom: 5px;
}

.mb-mobile-10 {
    margin-bottom: 10px;
}

.mb-mobile-15 {
    margin-bottom: 15px;
}

.mb-mobile-20 {
    margin-bottom: 20px;
}

.mb-mobile-25 {
    margin-bottom: 25px;
}

.mb-mobile-30 {
    margin-bottom: 30px;
}


}


